[oe-commits] [openembedded-core] 16/22: toolchain-shar-extract: ignore timestamp on decompress

git at git.openembedded.org git at git.openembedded.org
Sat Mar 7 10:57:31 UTC 2020


This is an automated email from the git hooks/post-receive script.

rpurdie pushed a commit to branch zeus
in repository openembedded-core.

commit 2d61ef93383d49db43af144aa17a88dd250ceb95
Author: Jeremy Puhlman <jpuhlman at mvista.com>
AuthorDate: Fri Feb 21 12:20:15 2020 -0800

    toolchain-shar-extract: ignore timestamp on decompress
    
    Installing on centos7, which the extended version of the
    buildtools tarball is supposed to fix and with reproducable
    builds turned on, all the time stamps are for epoch. This
    results in the following output for every file:
    
    tar: ./sysroots/x86_64-pokysdk-linux/usr/include/c++/9.2.0/cstdalign: implausibly old time stamp 1969-12-31 16:00:00
    tar: ./sysroots/x86_64-pokysdk-linux/usr/lib/libstdc++.so.6: implausibly old time stamp 1969-12-31 16:00:00
    
    Ignore the timestamps during the uncompession step.
    
    Signed-off-by: Jeremy Puhlman <jpuhlman at mvista.com>
    Signed-off-by: Richard Purdie <richard.purdie at linuxfoundation.org>
    (cherry picked from commit 319ca22ea4465c56c63730847378a7aee4f5935a)
    Signed-off-by: Armin Kuster <akuster808 at gmail.com>
---
 meta/files/toolchain-shar-extract.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/meta/files/toolchain-shar-extract.sh b/meta/files/toolchain-shar-extract.sh
index ccc4f4e..4c4b4de 100644
--- a/meta/files/toolchain-shar-extract.sh
+++ b/meta/files/toolchain-shar-extract.sh
@@ -249,7 +249,7 @@ if [ @SDK_ARCHIVE_TYPE@ = "zip" ]; then
         rm sdk.zip && exit 1
     fi
 else
-    tail -n +$payload_offset $0| $SUDO_EXEC tar xJ -C $target_sdk_dir --checkpoint=.2500 $EXTRA_TAR_OPTIONS || exit 1
+    tail -n +$payload_offset $0| $SUDO_EXEC tar mxJ -C $target_sdk_dir --checkpoint=.2500 $EXTRA_TAR_OPTIONS || exit 1
 fi
 echo "done"
 

-- 
To stop receiving notification emails like this one, please contact
the administrator of this repository.


More information about the Openembedded-commits mailing list